## ros-foxy-robot-controllers-msgs 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(robot_controllers_msgs)

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/ControllerState.msg"
  "msg/DiffDriveLimiterParams.msg"
  "srv/QueryControllerStates.srv"
  DEPENDENCIES builtin_interfaces
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-foxy-robot-controllers-msgs (0.8.1-1focal) focal; urgency=high

  * add Fergs as maintainer (#65 <https://github.com/fetchrobotics/robot_controllers/issues/65>)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Dec 2020 05:00:00 -0000

ros-foxy-robot-controllers-msgs (0.8.0-1focal) focal; urgency=high

  * Add initial support for ROS2
  * Port messages to ros2
  * Switch to service interface
  * Updates maintainers
  * Contributors: Alex Moriarty, Michael Ferguson, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 25 Nov 2020 05:00:00 -0000

ros-foxy-robot-controllers-msgs (0.6.0-1focal) focal; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 11 Jul 2018 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.5.3-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 11 Jun 2017 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.5.2-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.5.1-1focal) focal; urgency=high

  * Add DiffDriveLimiterParams message
  * Contributors: Derek King

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.5.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 21 Feb 2016 05:00:00 -0000

ros-foxy-robot-controllers-msgs (0.4.3-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Dec 2015 05:00:00 -0000

ros-foxy-robot-controllers-msgs (0.4.2-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 22 Oct 2015 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.4.1-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 12 Jun 2015 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.4.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 23 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.3.4-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 22 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.3.3-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 03 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.3.2-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 09 Apr 2015 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.3.1-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 28 Mar 2015 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.3.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-foxy-robot-controllers-msgs (0.1.4-1focal) focal; urgency=high

  * initial release
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 13 Mar 2015 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-robot-controllers-msgs
Section: misc
Priority: optional
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-builtin-interfaces, ros-foxy-rosidl-default-generators, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-robot-controllers-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-rosidl-default-generators, ros-foxy-rosidl-default-runtime, ros-foxy-ros-workspace
Description: Messages for use with robot_controllers framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-robot-controllers-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
